PHP Login & User Management <= 4.1.0 - Arbitrary File Upload- (CVE-2018-11392)

From: reggie.dodd30@gmail.com
To: bugtraq@securityfocus.com
Cc:
Subject: PHP Login & User Management <= 4.1.0 - Arbitrary File Upload- (CVE-2018-11392)
Date:


[Title]
PHP Login & User Management <= 4.1.0 - Arbitrary File Upload (CVE-2018-11392)

[Product]
PHP Login & User Management
https://codecanyon.net/item/php-login-user-management/49008

[CVE]
CVE-2018-11392

[Credit]
Reginald Dodd

[Description]
An arbitrary file upload vulnerability in /classes/profile.class.php in Jigowatt "PHP Login & User Management" before 4.1.1, as distributed in the Envato Market, allows any remote authenticated user to upload .php files to the web server via a profile avatar field. This results in arbitrary code execution by requesting the .php file.

[Affected Versions] 
v4.1.0 and below

[Solution]
Upgrade to v4.1.1

[Timeline]
April 28, 2018 - A detailed vulnerability report was sent to the vendor.
May 1, 2018 - The vendor acknowledged the report.
May 15, 2018 - The developer made the fix available through the vendor's marketplace.
May 22, 2018 - I requested an update, and the vendor stated that this issue has been "resolved".
May 22, 2018 - Mitre assigned a CVE.





Copyright © 1995-2018 LinuxRocket.net. All rights reserved.